Bug 758530 - does not add "console=hvc0" to yaboot.conf
does not add "console=hvc0" to yaboot.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 744415
  Show dependency treegraph
 
Reported: 2011-11-29 19:44 EST by Will Woods
Modified: 2013-01-28 08:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 08:14:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2011-11-29 19:44:46 EST
In RHEL6 and earlier, anaconda added "console=hvc0" to yaboot.conf on POWER systems using hvc0 as their console. Fedora 16 doesn't do this.

This is needed to allow plymouth to ask for the passphrase for encrypted filesystems at boot - see bug 744415 for background.
Comment 1 Will Woods 2011-11-30 16:37:07 EST
Proposed fix in http://wwoods.fedorapeople.org/iso/Fedora-16-ppc64-netinst-20111130.iso
Comment 2 Karsten Hopp 2011-12-01 08:54:29 EST
this adds console=ttyS0 to /etc/yaboot.conf
Comment 3 Karsten Hopp 2011-12-02 11:19:27 EST
the latest patches correctly write console=hvc0 to yaboot.conf
Comment 4 Fedora End Of Life 2013-01-16 20:57:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.